{ config, lib, pkgs, ... }:

let cfg = config.sydnix.capitaine-cursors;
in {
  options.sydnix.capitaine-cursors = {
    enable = lib.mkEnableOption "Breeze and MacOS -inspired cursor theme";
  };

  config = lib.mkIf cfg.enable {
    home.pointerCursor = {
      enable = true;
      package = pkgs.capitaine-cursors;
      gtk.enable = true;
      name = "capitaine-cursors";
    };
  };
}
